/* styles.css */

@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700&display=swap');


body {
  font-family: 'Roboto', sans-serif;
  font-weight: 300;
  padding:  0;
  margin:  20px;
  background-color: #ffffff;
}

#nav {
  background-color: #ff9c67;
  width: 100%;
  position: fixed;
  min-height: 130px;
  z-index: 20;
  top: 0;
  left: 0;
}

.showOnMobile {
  display: none; /* hide the <br> by default */
}

  .hideOnMobile {
    display: block;
  }  

.marg-left {
  margin-left: 20px;
}

/* .dot {
    position: absolute;
    bottom: 14px;
    left: 20px;
    width: 6px;
    height: 6px;
    background-color: #eded5f;
    border-radius: 50%;
} */

.dot {
    position: absolute;
    bottom: 14px;
    left: 20px;
    width: 6px;
    height: 6px;
    background-color: #eded5f;
    border-radius: 50%;
    cursor: help;
}

.dot::before {
    content: "inklusive RAW-Dateien!";
    display: none;
    position: absolute;
    bottom: 35px;
    left: 0px;
    padding: 5px;
    background-color: #000;
    color: #fff;
    font-size: 12px;
    width: 80px;
    border-radius: 5px;
    padding: 10px;
}

.dot:hover::before {
    display: block;
}


select {
  background-color: #495057;
  color: #fafafa;
  border-radius: 5px;
  border: none;
  -webkit-appearance: none;
  padding: 12px;

}



button {
    background-color: #919191;
    width: 20px;
    height: 20px;
    background-image: url(_files/reload-icn.svg);
    border: 0;
    opacity: 0.5;
    padding: 4px;
    cursor: pointer;
    border-radius: 5px;
    background-size: 12px 12px;
    background-repeat: no-repeat;
    background-position: center;
}

button:hover {
  opacity: 1;
}

.delete-btn {
  position: absolute;
  top: 20px;
  left: 20px;
  z-index: 1;
  background-color: #e04343;
  color: #fff;
  font-weight: bold;
  padding: 5px 10px;
  border-radius: 5px;
  text-decoration: none;
  cursor: pointer;
}

.delete-btn:hover {
  background-color: #ff0000;
  color: #fff;
}

.download-btn {
  position: absolute;
  top: 20px;
  right: 20px;
  z-index: 1;
  background-color: rgb(0 0 0 /0.5);
  color: #fff;
  font-weight: bold;
  padding: 5px 10px;
  border-radius: 5px;
  text-decoration: none;
  cursor: pointer;
}

.download-btn:hover {
  background-color: #509949;
  color: #fff;
}

.gallery {
  display: grid;
/*  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));*/
grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
  grid-gap: 20px;
  margin-top: 150px;
}

.gallery-item {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  padding-bottom: 100%; /* aspect ratio 1:1 for square grid items */
  overflow: hidden;
  margin: 0;
}

.gallery-item img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.gallery-caption {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  color: #fff;
  padding: 10px;
  text-align: center;
  font-size: 14px;
}

.gallery-caption p {
  margin: 0;
}

.gallery-item::before {
  content: "\2193"; /* Unicode down arrow symbol */
  position: absolute;
  top: 20px;
  right: 20px;
  font-size: 24px;
}

@media screen and (max-width: 767px) {
  .showOnMobile {
    display: block;
  }

  .hideOnMobile {
    display: none;
  }  

  .marg-left {
    margin-left: 0px;
  }

  .gallery {
    grid-template-columns: repeat(1, 1fr);
    margin-top: 180px!important;    
  }

  #nav {
    min-height: 100px;
  }
}

@media screen and (min-width: 768px) and (max-width: 1023px) {
  .gallery {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media screen and (min-width: 1024px) {
  .gallery-caption {
    opacity: 1;
  }

  .gallery-item::before {
    content: "Download";
    font-size: 12px;
    background-color: rgba(255, 255, 255, 0.8);
    color: #000;
    padding: 5px 10px;
    border-radius: 5px;
    cursor: pointer;
    top: 20px;
    right: 20px;
  }

  .gallery-item:hover::before {
    background-color: #000;
    color: #fff;
  }
}
